## org.apache.lucene.search.similarities
Class LambdaDF

    java.lang.Object
      org.apache.lucene.search.similarities.Lambda
          org.apache.lucene.search.similarities.LambdaDF

    public class LambdaDF

extends Lambda

Computes lambda as `docFreq+1 / numberOfDocuments+1`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

Constructor Summary
`LambdaDF()` Sole constructor: parameter-free

Method Summary
`Explanation` `explain(BasicStats stats)` Explains the lambda parameter.
`float` `lambda(BasicStats stats)` Computes the lambda parameter.
`String` `toString()` Subclasses must override this method to return the code of the lambda formula.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LambdaDF

    public LambdaDF()

  Sole constructor: parameter-free

Method Detail

### lambda

    public final float lambda(BasicStats stats)

  Description copied from class: `Lambda`
  Computes the lambda parameter.

  Specified by:
    `lambda` in class `Lambda`

### explain

    public final Explanation explain(BasicStats stats)

  Description copied from class: `Lambda`
  Explains the lambda parameter.

  Specified by:
    `explain` in class `Lambda`

### toString

    public String toString()

  Description copied from class: `Lambda`
  Subclasses must override this method to return the code of the lambda formula. Since the original paper is not very clear on this matter, and also uses the DFR naming scheme incorrectly, the codes here were chosen arbitrarily.

  Specified by:
    `toString` in class `Lambda`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.